Debian Bug report logs - #583528
libconfig++8-dev: libconfig 1.4.5 is out

version graph

Package: libconfig++8-dev; Maintainer for libconfig++8-dev is Jonathan McCrohan <jmccrohan@gmail.com>; Source for libconfig++8-dev is src:libconfig.

Reported by: Romain Bossart <romain.bossart@free.fr>

Date: Fri, 28 May 2010 06:21:01 UTC

Severity: wishlist

Merged with 586506

Found in version libconfig/1.3.2-2

Fixed in version libconfig/1.4.8-1~exp1

Done: Jonathan McCrohan <jmccrohan@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#583528; Package libconfig++8-dev. (Fri, 28 May 2010 06:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Bossart <romain.bossart@free.fr>:
New Bug report received and forwarded. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Fri, 28 May 2010 06:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Romain Bossart <romain.bossart@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libconfig++8-dev: libconfig 1.4.5 is out
Date: Fri, 28 May 2010 08:18:51 +0200
Package: libconfig++8-dev
Version: 1.3.2-2
Severity: wishlist

Hi, Hyperrealm's libconfig 1.4.5 is out. Thanks in advance for packaging it.

Best regards



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libconfig++8-dev depends on:
ii  libconfig++8                  1.3.2-2    parsing and manipulation of struct
ii  libconfig8-dev [libconfig-dev 1.3.2-2    parsing and manipulation of struct
ii  pkg-config                    0.24-1     manage compile and link flags for 

libconfig++8-dev recommends no packages.

libconfig++8-dev suggests no packages.

-- no debconf information




Merged 583528 586506. Request was from José Luis Tallón <jltallon@adv-solutions.net> to control@bugs.debian.org. (Sat, 10 Jul 2010 00:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#583528; Package libconfig++8-dev. (Thu, 21 Jul 2011 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Frost <tobi@frost.de>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Thu, 21 Jul 2011 06:48:03 GMT) Full text and rfc822 format available.

Message #12 received at 583528@bugs.debian.org (full text, mbox):

From: Tobias Frost <tobi@frost.de>
To: 583528@bugs.debian.org
Date: Thu, 21 Jul 2011 08:39:50 +0200
Hallo, 

is there any update on the libconfig9 packaging?

BTW: Is it not possible to have libconfig8 and libconfig9 co-existing?
Is the transition a must?

tobi




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#583528; Package libconfig++8-dev. (Thu, 21 Jul 2011 10:09:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to José Luis Tallón <jltallon@adv-solutions.net>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Thu, 21 Jul 2011 10:09:33 GMT) Full text and rfc822 format available.

Message #17 received at 583528@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: Tobias Frost <tobi@frost.de>, 583528@bugs.debian.org
Subject: Re: Bug#583528: libconfig9 packaging
Date: Thu, 21 Jul 2011 12:06:13 +0200
Tobias Frost wrote:
> Hallo, 
>
> is there any update on the libconfig9 packaging?
>   
Awaiting uploader. Any help appreciated.
> BTW: Is it not possible to have libconfig8 and libconfig9 co-existing?
> Is the transition a must?
>   
They can co-exist without problems.

The limitation is that you cannot build against libconfig8 and
libconfig9 at the same time; That is: libconfig-dev depends either on
libconfig8 *or* libconfig9, depending on the version installed.


Regards,

    J.L.





Information forwarded to debian-bugs-dist@lists.debian.org, Jose Luis Tallon <jltallon@adv-solutions.net>:
Bug#583528; Package libconfig++8-dev. (Wed, 07 Sep 2011 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan McCrohan <jmccrohan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jose Luis Tallon <jltallon@adv-solutions.net>. (Wed, 07 Sep 2011 23:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 583528@bugs.debian.org (full text, mbox):

From: Jonathan McCrohan <jmccrohan@gmail.com>
To: 583528@bugs.debian.org
Subject: libconfig 1.4.8 is now out
Date: Thu, 08 Sep 2011 00:48:58 +0100
Hi,

libconfig 1.4.8 is now available [1].

Is there any reason why libconfig8 must remain in wheezy/sid?
Can it be replaced by libconfig9?

Thanks,
Jon

[1] http://www.hyperrealm.com/libconfig/libconfig-1.4.8.tar.gz






Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 19:09:11 GMT) Full text and rfc822 format available.

Reply sent to Jonathan McCrohan <jmccrohan@gmail.com>:
You have taken responsibility. (Mon, 20 Feb 2012 21:19:35 GMT) Full text and rfc822 format available.

Notification sent to Romain Bossart <romain.bossart@free.fr>:
Bug acknowledged by developer. (Mon, 20 Feb 2012 21:19:36 GMT) Full text and rfc822 format available.

Message #29 received at 583528-close@bugs.debian.org (full text, mbox):

From: Jonathan McCrohan <jmccrohan@gmail.com>
To: 583528-close@bugs.debian.org
Subject: Bug#583528: fixed in libconfig 1.4.8-1~exp1
Date: Mon, 20 Feb 2012 21:17:51 +0000
Source: libconfig
Source-Version: 1.4.8-1~exp1

We believe that the bug you reported is fixed in the latest version of
libconfig, which is due to be installed in the Debian FTP archive:

libconfig++-dbg_1.4.8-1~exp1_amd64.deb
  to main/libc/libconfig/libconfig++-dbg_1.4.8-1~exp1_amd64.deb
libconfig++-dev_1.4.8-1~exp1_amd64.deb
  to main/libc/libconfig/libconfig++-dev_1.4.8-1~exp1_amd64.deb
libconfig++9_1.4.8-1~exp1_amd64.deb
  to main/libc/libconfig/libconfig++9_1.4.8-1~exp1_amd64.deb
libconfig-dbg_1.4.8-1~exp1_amd64.deb
  to main/libc/libconfig/libconfig-dbg_1.4.8-1~exp1_amd64.deb
libconfig-dev_1.4.8-1~exp1_amd64.deb
  to main/libc/libconfig/libconfig-dev_1.4.8-1~exp1_amd64.deb
libconfig9_1.4.8-1~exp1_amd64.deb
  to main/libc/libconfig/libconfig9_1.4.8-1~exp1_amd64.deb
libconfig_1.4.8-1~exp1.debian.tar.gz
  to main/libc/libconfig/libconfig_1.4.8-1~exp1.debian.tar.gz
libconfig_1.4.8-1~exp1.dsc
  to main/libc/libconfig/libconfig_1.4.8-1~exp1.dsc
libconfig_1.4.8.orig.tar.gz
  to main/libc/libconfig/libconfig_1.4.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583528@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan McCrohan <jmccrohan@gmail.com> (supplier of updated libconfig package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 Feb 2012 18:13:26 +0000
Source: libconfig
Binary: libconfig9 libconfig++9 libconfig-dev libconfig++-dev libconfig-dbg libconfig++-dbg
Architecture: source amd64
Version: 1.4.8-1~exp1
Distribution: experimental
Urgency: low
Maintainer: Reinhard Tartler <siretart@debian.org>
Changed-By: Jonathan McCrohan <jmccrohan@gmail.com>
Description: 
 libconfig++-dbg - debug symbols for libconfig++9
 libconfig++-dev - parsing and manipulation of structured config files(C++ developme
 libconfig++9 - parsing and manipulation of structured configuration files(C++ bi
 libconfig-dbg - debug symbols for libconfig9
 libconfig-dev - parsing and manipulation of structured config files(development)
 libconfig9 - parsing and manipulation of structured configuration files
Closes: 583528 632081
Changes: 
 libconfig (1.4.8-1~exp1) experimental; urgency=low
 .
   * New upstream release (closes: #583528)
     - soname bump to 9
   * Update to S-V 3.9.2
   * Update to Debhelper v7
   * Refresh Build-Depends packages
   * Add debug packages
   * Remove soname from -dev package names
     - Build as virtual packages for reverse dependency purposes.
   * Fix examples (closes: #632081)
Checksums-Sha1: 
 4629d6fd035a3553d9bbb6d2694c0f4ac50fb562 1492 libconfig_1.4.8-1~exp1.dsc
 c16b9caa207afdf36fc664ad0b2807ecc7a562fa 645823 libconfig_1.4.8.orig.tar.gz
 621145ed785f206859989a9ea10b7ed74e80b9bd 4638 libconfig_1.4.8-1~exp1.debian.tar.gz
 836ba2361701644f709b697d1e2d45e4c42bceb5 31734 libconfig9_1.4.8-1~exp1_amd64.deb
 408aaaf63dc5fe038980b5237e5d44bfcc1f8772 45298 libconfig++9_1.4.8-1~exp1_amd64.deb
 91faf05d7452581d16ac446568aff1d10e4bd24f 389950 libconfig-dev_1.4.8-1~exp1_amd64.deb
 4dfe7aa1cceec3f04f1b214f80e119da431a77fd 150768 libconfig++-dev_1.4.8-1~exp1_amd64.deb
 9943c5ff5f8a11ae444e3a8f71524ebd6a4b1e92 40116 libconfig-dbg_1.4.8-1~exp1_amd64.deb
 ec7a3a01268d96687a12b3d98f1fa0873b43a341 83710 libconfig++-dbg_1.4.8-1~exp1_amd64.deb
Checksums-Sha256: 
 888ae60e80bbba12344cce22596c6e1cda3236e4615373eec10a2ef64864f846 1492 libconfig_1.4.8-1~exp1.dsc
 18b1509fbf438a8c7f9b0af32284e458189b5f6dfd044f898926109f3c3c01ed 645823 libconfig_1.4.8.orig.tar.gz
 55d1e64f05752baef86ff9c8cbaa592d544d28784d44179eafca6da421fd60af 4638 libconfig_1.4.8-1~exp1.debian.tar.gz
 3119d45682118f34855b91cabf2c13a1c0163d84f2243d46399488eadd74ce7a 31734 libconfig9_1.4.8-1~exp1_amd64.deb
 a4f1fb212a4ef3eb412234ff97f6d31274557acc91793e7946ec818055953683 45298 libconfig++9_1.4.8-1~exp1_amd64.deb
 e338caa41ad912efebda9e645a2cf69a9986ca18b961861f2d24cc27b061f0c6 389950 libconfig-dev_1.4.8-1~exp1_amd64.deb
 3410dfbe997024b8a2c1dac8957c5ef9869298110820ede52af0925313365378 150768 libconfig++-dev_1.4.8-1~exp1_amd64.deb
 70427ae736f9438e0c88e817340008f57a43f8e19d966df98cd78054ca525f97 40116 libconfig-dbg_1.4.8-1~exp1_amd64.deb
 514cc9dedf4fc95d470bd7cec0b61325ec742441db8448346a254b81b943a769 83710 libconfig++-dbg_1.4.8-1~exp1_amd64.deb
Files: 
 18a52c302e3495f417dd37101c029905 1492 libs optional libconfig_1.4.8-1~exp1.dsc
 36788da452e9fcfc8efb7661ef5d31ef 645823 libs optional libconfig_1.4.8.orig.tar.gz
 9af70aed41d04c9f49fdd83b2123ca74 4638 libs optional libconfig_1.4.8-1~exp1.debian.tar.gz
 a2807a31065ff6bd64afd97c581d6d56 31734 libs optional libconfig9_1.4.8-1~exp1_amd64.deb
 0d58d6b42095452811903d3997ab65e7 45298 libs optional libconfig++9_1.4.8-1~exp1_amd64.deb
 4c7460a9bd33e0474a455d7b1806d3bd 389950 libdevel optional libconfig-dev_1.4.8-1~exp1_amd64.deb
 ad45406497913d9fbac16aa1bf5470f4 150768 libdevel optional libconfig++-dev_1.4.8-1~exp1_amd64.deb
 3885833449ac8798df7ef791bc20bd07 40116 debug extra libconfig-dbg_1.4.8-1~exp1_amd64.deb
 0f316f508f6d4079c6b7bd77b8e87e60 83710 debug extra libconfig++-dbg_1.4.8-1~exp1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAk9AtBIACgkQmAg1RJRTSKRdbQCeLZZodcGXqzfA6MFx2TOZHcmn
2+EAn1TswFSEtCOL5HSmcE5RiMYMIAtF
=bCNs
-----END PGP SIGNATURE-----





Reply sent to Jonathan McCrohan <jmccrohan@gmail.com>:
You have taken responsibility. (Mon, 20 Feb 2012 21:19:38 GMT) Full text and rfc822 format available.

Notification sent to Romain Bossart <romain.bossart@free.fr>:
Bug acknowledged by developer. (Mon, 20 Feb 2012 21:19:43 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Apr 2012 07:30:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:08:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.